webpackJsonp([14],{

/***/ 474:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StoresModalPageModule", function() { return StoresModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__stores_modal__ = __webpack_require__(569);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var StoresModalPageModule = (function () {
    function StoresModalPageModule() {
    }
    return StoresModalPageModule;
}());
StoresModalPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__stores_modal__["a" /* StoresModalPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__stores_modal__["a" /* StoresModalPage */]),
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__stores_modal__["a" /* StoresModalPage */]
        ]
    })
], StoresModalPageModule);

//# sourceMappingURL=stores-modal.module.js.map

/***/ }),

/***/ 569:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StoresModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__helper_helper__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var StoresModalPage = (function () {
    function StoresModalPage(viewCtrl, params, api, translate, helper) {
        this.viewCtrl = viewCtrl;
        this.params = params;
        this.api = api;
        this.translate = translate;
        this.helper = helper;
        this.lang = translate.currentLang;
        this.store = this.params.data.store;
    }
    StoresModalPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    StoresModalPage.prototype.navigateStore = function () {
        this.api.navigateStore.next(this.store);
        this.dismiss();
    };
    StoresModalPage.prototype.generateTel = function (number) {
        if (this.lang == 'en') {
            return number;
        }
        var numbers = this.helper.convertToArabicNumber(number).split('-');
        if (numbers.length > 1) {
            return numbers[1] + '-' + numbers[0];
        }
        return numbers[0];
    };
    StoresModalPage.prototype.generateTime = function (time) {
        if (this.lang == 'en') {
            return time;
        }
        return this.helper.convertToArabicNumber(time);
    };
    return StoresModalPage;
}());
StoresModalPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-stores-modal',template:/*ion-inline-start:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/stores-modal/stores-modal.html"*/'<ion-content>\n  \n  <ion-item-divider color="light">\n    {{ store.name[lang] }}\n    <button ion-button icon-left clear item-end color="dark" (click)="navigateStore()">\n      <ion-icon name="navigate"></ion-icon>\n      {{ \'w171\' | translate }}\n    </button>\n  </ion-item-divider>\n\n  <ion-item no-lines>\n    <b>{{ \'w253\' | translate }}:</b> {{ store.address[lang] }}\n  </ion-item>\n\n  <ion-item no-lines>\n    <b>{{ \'w172\' | translate }}:</b> {{ generateTime(store.time[lang]) }}\n  </ion-item>\n\n  <ion-item no-lines>\n    <b>{{ \'w157\' | translate }}:</b> <span>{{ generateTel(store.tel[lang]) }}</span>\n  </ion-item>\n\n  <ion-item no-lines>\n    {{ store.service[lang] }}\n  </ion-item>\n\n</ion-content>'/*ion-inline-end:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/stores-modal/stores-modal.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__helper_helper__["a" /* Helper */]])
], StoresModalPage);

//# sourceMappingURL=stores-modal.js.map

/***/ })

});
//# sourceMappingURL=14.js.map