webpackJsonp([19],{

/***/ 469:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PasswordPageModule", function() { return PasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__password__ = __webpack_require__(564);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PasswordPageModule = (function () {
    function PasswordPageModule() {
    }
    return PasswordPageModule;
}());
PasswordPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__password__["a" /* PasswordPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__password__["a" /* PasswordPage */]),
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__password__["a" /* PasswordPage */]
        ]
    })
], PasswordPageModule);

//# sourceMappingURL=password.module.js.map

/***/ }),

/***/ 564:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PasswordPage = (function () {
    function PasswordPage(navCtrl, navParams, viewCtrl, toastCtrl, loading, translate, api) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.toastCtrl = toastCtrl;
        this.loading = loading;
        this.translate = translate;
        this.api = api;
        this.currentPassword = '';
        this.newPassword = '';
        this.confirmPassword = '';
    }
    PasswordPage.prototype.changePassword = function () {
        var _this = this;
        //console.log(this.currentPassword, this.newPassword, this.confirmPassword);
        if (this.currentPassword == '') {
            var message = this.toastCtrl.create({
                message: this.translate.instant('m46'),
                duration: 3000
            });
            message.present();
            this.currentPassword = '';
            this.newPassword = '';
            this.confirmPassword = '';
            return;
        }
        if (this.newPassword.length < 8) {
            var message = this.toastCtrl.create({
                message: this.translate.instant('m47'),
                duration: 3000
            });
            message.present();
            this.currentPassword = '';
            this.newPassword = '';
            this.confirmPassword = '';
            return;
        }
        if (this.newPassword == this.confirmPassword && this.newPassword != '') {
            var loader_1 = this.loading.create({
                content: this.translate.instant('m48')
            });
            loader_1.present().then(function () {
                _this.api.changePassword(_this.currentPassword, _this.newPassword, _this.navCtrl, _this.toastCtrl).then(function (res) {
                    loader_1.dismiss();
                    //console.log(res);
                    if (res == false) {
                        var message = _this.toastCtrl.create({
                            message: _this.translate.instant('m49'),
                            duration: 3000
                        });
                        message.present();
                    }
                    else {
                        var message = _this.toastCtrl.create({
                            message: _this.translate.instant('m50'),
                            duration: 3000
                        });
                        message.present();
                    }
                });
            });
        }
        else {
            var message = this.toastCtrl.create({
                message: this.translate.instant('m51'),
                duration: 3000
            });
            message.present();
            this.currentPassword = '';
            this.newPassword = '';
            this.confirmPassword = '';
            return;
        }
    };
    PasswordPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    return PasswordPage;
}());
PasswordPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-password',template:/*ion-inline-start:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/password/password.html"*/'<ion-header>\n  <ion-toolbar color="primary">\n    <ion-title>\n      {{\'w144\' | translate}}\n    </ion-title>\n    <ion-buttons start>\n      <button ion-button (click)="dismiss()" block class="dismiss-modal-ios">\n        <ion-icon name="ios-arrow-down" showWhen="ios"></ion-icon>\n        <ion-icon name="md-close" showWhen="android,windows"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-toolbar>\n</ion-header>\n\n\n<ion-content padding>\n\n		<ion-list inset>\n	  	<ion-item>\n		    <ion-input type="password" [placeholder]="translate.instant(\'w145\')" [(ngModel)]="currentPassword"></ion-input>\n		  </ion-item>\n		  <ion-item>\n		    <ion-input type="password" [placeholder]="translate.instant(\'w146\')" [(ngModel)]="newPassword"></ion-input>\n		  </ion-item>\n		  <ion-item>\n		    <ion-input type="password" [placeholder]="translate.instant(\'w147\')" [(ngModel)]="confirmPassword"></ion-input>\n		  </ion-item>\n\n		  <button ion-button block color="secondary" (click)="changePassword()">{{\'w148\' | translate}}</button>\n	  </ion-list>\n\n	  <ion-card>\n\n		  <ion-card-content>\n		  	{{\'m52\' | translate}}\n		  </ion-card-content>\n		</ion-card>\n\n	<!-- <ion-card padding>\n	  \n	</ion-card> -->\n\n</ion-content>'/*ion-inline-end:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/password/password.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */]])
], PasswordPage);

//# sourceMappingURL=password.js.map

/***/ })

});
//# sourceMappingURL=19.js.map