webpackJsonp([50],{

/***/ 441:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BalancePageModule", function() { return BalancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__balance__ = __webpack_require__(536);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var BalancePageModule = (function () {
    function BalancePageModule() {
    }
    return BalancePageModule;
}());
BalancePageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__balance__["a" /* BalancePage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__balance__["a" /* BalancePage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__balance__["a" /* BalancePage */]
        ]
    })
], BalancePageModule);

//# sourceMappingURL=balance.module.js.map

/***/ }),

/***/ 536:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BalancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__helper_helper__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment_jalaali___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment_jalaali__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var BalancePage = (function () {
    function BalancePage(navCtrl, navParams, loading, api, toastCtrl, translate, helper) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loading = loading;
        this.api = api;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.helper = helper;
        this.balanceType = 'internet';
        this.balances = {
            call: [],
            internet: [],
            sms: [],
            others: []
        };
        this.lang = translate.currentLang;
        /*if (this.lang == 'en') {
          moment.loadPersian({usePersianDigits: false});
        } else {
          moment.loadPersian({usePersianDigits: true});
        }*/
        var loader = this.loading.create({
            content: this.translate.instant('m12')
        });
        loader.present().then(function () {
            _this.api.prepareBalance(_this.navCtrl, _this.toastCtrl).then(function (res) {
                loader.dismiss();
                for (var i = 0; i < res.others.length; ++i) {
                    if (res.others[i].BalanceName == 'Local Currency') {
                        res.others.splice(res.others.indexOf(res.others[i]), 1);
                    }
                }
                _this.balances = res;
                console.log(res);
                _this.balanceType = _this.navParams.data.id;
            });
        });
    }
    BalancePage.prototype.generateWidth = function (BalanceValue, InitBal) {
        return (100 - ((BalanceValue / InitBal) * 100));
    };
    BalancePage.prototype.displayCharge = function (charge) {
        return this.helper.displayCharge(charge);
    };
    BalancePage.prototype.displayData = function (data) {
        return this.helper.displayData(data);
    };
    BalancePage.prototype.generateDate = function (date) {
        if (date == '' || date == null || date == 0) {
            return this.translate.instant('w46');
        }
        if (this.lang == 'en') {
            return __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__(date, 'YYYY-M-D HH:mm:ss').format('YYYY/M/D  HH:mm');
        }
        return __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__(date, 'YYYY-M-D HH:mm:ss').format('jYYYY/jM/jD  HH:mm'); // jYYYY/jM/jD HH:mm:ss
    };
    BalancePage.prototype.displayCall = function (call) {
        return this.helper.readableTime(call);
    };
    BalancePage.prototype.displaySms = function (sms) {
        if (this.lang == 'en') {
            return sms;
        }
        return this.helper.convertToArabicNumber(sms);
    };
    /*changeSegment(value){
      this.balanceType = value;
    }*/
    BalancePage.prototype.changeTabs = function (id) {
        var _this = this;
        var loader = this.loading.create({
            content: this.translate.instant('w47')
        });
        loader.present().then(function () {
            _this.balanceType = id;
            loader.dismiss();
        }, function (error) {
            loader.dismiss();
        });
    };
    BalancePage.prototype.generateTitle = function (title) {
        //console.log(title, title.split('|')[0], title.split('|')[1]);
        if (this.lang == 'en') {
            return title.split('|')[0];
        }
        return title.split('|')[1];
    };
    return BalancePage;
}());
BalancePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-balance',template:/*ion-inline-start:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/balance/balance.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>{{\'w40\' | translate}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n	<!-- Select Phone Number -->\n	<phone-number></phone-number>\n\n	<!-- Segments -->\n\n	<div>\n	  <ion-segment [(ngModel)]="balanceType">\n	  	<ion-segment-button value="internet" (click)="changeTabs(\'internet\')">\n	    	<img src="assets/icon/balances/internet_icon.png">\n	      {{\'w22\' | translate}}\n	    </ion-segment-button>\n	    <ion-segment-button value="call" (click)="changeTabs(\'call\')">\n	    	<img src="assets/icon/balances/call_icon.png">\n	      {{\'w24\' | translate}}\n	    </ion-segment-button>\n	    <ion-segment-button value="sms" (click)="changeTabs(\'sms\')">\n	    	<img src="assets/icon/balances/sms_icon.png">\n	      {{\'w25\' | translate}}\n	    </ion-segment-button>\n	    <ion-segment-button value="others" (click)="changeTabs(\'others\')">\n	    	{{\'w41\' | translate}}\n	    </ion-segment-button>\n	  </ion-segment>\n	</div>\n\n	<div [ngSwitch]="balanceType" *ngIf="balances.call != undefined">\n		<ion-list *ngSwitchCase="\'call\'">\n			\n			<ion-card *ngFor="let item of balances.call;let i = index; trackBy: index">\n			  <ion-card-content>\n					<ion-item class="title">\n				    <h2>{{ generateTitle(item.Comments[0]) }}</h2>\n				  </ion-item>\n				  <ion-item class="progress-bar">\n				    <div class="progressbar-wrapper">\n				    	<div class="progressbar-center" *ngIf="item.IsShowBal[0].toLowerCase() === \'n\'">\n				    		سقف مصرف منصفانه\n				    	</div>\n				    	<div class="progressbar-right" *ngIf="item.BalanceValue[0] != 0">\n				    		{{ displayCall(item.BalanceValue[0] * -1) }}\n				    	</div>\n				    	<div class="progressbar-left" *ngIf="item.BalanceValue[0] != item.InitBal[0]">\n				    		{{ displayCall(item.InitBal[0] * -1) }}\n				    	</div>\n				    	<div class="progressbar" *ngIf="item.BalanceValue[0] != item.InitBal[0]" [ngStyle]="{\'width\': generateWidth(item.BalanceValue[0], item.InitBal[0]) + \'%\'}"></div>\n				    </div>\n				  </ion-item>\n				  <ion-item>\n				  	<span item-left style="font-size: 13px;">{{\'w42\' | translate}}: <br>{{ generateDate(item.EffDate) }}</span>\n						<span item-right style="font-size: 13px;">{{\'w43\' | translate}}:‌ <br>{{ generateDate(item.ExpDate) }}</span>\n				  </ion-item>\n			  </ion-card-content>\n			</ion-card>\n			\n\n			<ion-list *ngIf="balances.call.length == 0" class="nodata">\n				<ion-item>\n					<p>{{\'w44\' | translate}}</p>\n				</ion-item>\n			</ion-list>\n\n		</ion-list>\n		<ion-list *ngSwitchCase="\'internet\'">\n			\n			<ion-card *ngFor="let item of balances.internet;let i = index; trackBy: index">\n			  <ion-card-content>\n					<ion-item class="title">\n				    <h2>{{ generateTitle(item.Comments[0]) }}</h2>\n				  </ion-item>\n				  <ion-item class="progress-bar">\n				    <div class="progressbar-wrapper">\n				    	<div class="progressbar-center" *ngIf="item.IsShowBal[0].toLowerCase() === \'n\'">\n				    		سقف مصرف منصفانه\n				    	</div>\n				    	<div class="progressbar-right" *ngIf="item.BalanceValue[0] != 0">\n				    		{{ displayData(item.BalanceValue[0] * -1) }}\n				    	</div>\n				    	<div class="progressbar-left" *ngIf="item.BalanceValue[0] != item.InitBal[0]">\n				    		{{ displayData(item.InitBal[0] * -1) }}\n				    	</div>\n				    	<div class="progressbar" *ngIf="item.BalanceValue[0] != item.InitBal[0]" [ngStyle]="{\'width\': generateWidth(item.BalanceValue[0], item.InitBal[0]) + \'%\'}"></div>\n				    \n				    </div>\n				  </ion-item>\n				  <ion-item>\n				  	<span item-left style="font-size: 13px;">{{\'w42\' | translate}}: <br>{{ generateDate(item.EffDate[0]) }}</span>\n						<span item-right style="font-size: 13px;">{{\'w43\' | translate}}:‌ <br>{{ generateDate(item.ExpDate[0]) }}</span>\n				  </ion-item>\n			  </ion-card-content>\n			</ion-card>\n\n			<ion-list *ngIf="balances.internet.length == 0" class="nodata">\n				<ion-item>\n					<p>{{\'w44\' | translate}}</p>\n				</ion-item>\n			</ion-list>\n\n		</ion-list>\n		<ion-list *ngSwitchCase="\'sms\'">\n			\n			<ion-card *ngFor="let item of balances.sms;let i = index; trackBy: index">\n			  <ion-card-content>\n					<ion-item class="title">\n				    <h2>{{ generateTitle(item.Comments[0]) }}</h2>\n				  </ion-item>\n				  <ion-item class="progress-bar">\n				    <div class="progressbar-wrapper">\n				    	<div class="progressbar-center" *ngIf="item.IsShowBal[0].toLowerCase() === \'n\'">\n				    		سقف مصرف منصفانه\n				    	</div>\n				    	<div class="progressbar-right" *ngIf="item.BalanceValue[0] != 0">\n				    		{{ displaySms(item.BalanceValue[0] * -1) }} {{\'w26\' | translate}}\n				    	</div>\n				    	<div class="progressbar-left" *ngIf="item.BalanceValue[0] != item.InitBal[0]">\n				    		{{ displaySms(item.InitBal[0] * -1) }} {{\'w26\' | translate}}\n				    	</div>\n				    	<div class="progressbar" *ngIf="item.BalanceValue[0] != item.InitBal[0]" [ngStyle]="{\'width\': generateWidth(item.BalanceValue[0], item.InitBal[0]) + \'%\'}"></div>\n				    </div>\n				  </ion-item>\n				  <ion-item>\n				  	<span item-left style="font-size: 13px;">{{\'w42\' | translate}}: <br>{{ generateDate(item.EffDate) }}</span>\n						<span item-right style="font-size: 13px;">{{\'w43\' | translate}}:‌ <br>{{ generateDate(item.ExpDate) }}</span>\n				  </ion-item>\n			  </ion-card-content>\n			</ion-card>\n\n			<ion-list *ngIf="balances.sms.length == 0" class="nodata">\n				<ion-item>\n					<p>{{\'w44\' | translate}}</p>\n				</ion-item>\n			</ion-list>\n\n		</ion-list>\n		<ion-list *ngSwitchCase="\'others\'">\n			\n			<ion-card *ngFor="let item of balances.others;let i = index; trackBy: index">\n			  <ion-card-content>\n					<ion-item class="title">\n				    <h2>{{ generateTitle(item.Comments[0]) }}</h2>\n				  </ion-item>\n				  <ion-item class="progress-bar">\n				    <div class="progressbar-wrapper">\n				    	<div class="progressbar-center" *ngIf="item.IsShowBal[0].toLowerCase() === \'n\'">\n				    		سقف مصرف منصفانه\n				    	</div>\n				    	<div class="progressbar-right" *ngIf="item.BalanceValue[0] != 0">\n				    		{{ displayCharge(item.BalanceValue[0] * -1) }} {{\'w45\' | translate}}\n				    	</div>\n				    	<div class="progressbar-left" *ngIf="item.BalanceValue[0] != item.InitBal[0]">\n				    		{{ displayCharge(item.InitBal[0] * -1) }} {{\'w45\' | translate}}\n				    	</div>\n				    	<div class="progressbar" *ngIf="item.BalanceValue[0] != item.InitBal[0]" [ngStyle]="{\'width\': generateWidth(item.BalanceValue[0], item.InitBal[0]) + \'%\'}"></div>\n				    </div>\n				  </ion-item>\n				  <ion-item>\n				  	<span item-left style="font-size: 13px;">{{\'w42\' | translate}}: <br>{{ generateDate(item.EffDate) }}</span>\n						<span item-right style="font-size: 13px;">{{\'w43\' | translate}}:‌ <br>{{ generateDate(item.ExpDate) }}</span>\n				  </ion-item>\n			  </ion-card-content>\n			</ion-card>\n\n			<ion-list *ngIf="balances.others.length == 0" class="nodata">\n				<ion-item>\n					<p>{{\'w44\' | translate}}</p>\n				</ion-item>\n			</ion-list>\n\n		</ion-list>\n	</div>\n\n</ion-content>\n'/*ion-inline-end:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/balance/balance.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__helper_helper__["a" /* Helper */]])
], BalancePage);

//# sourceMappingURL=balance.js.map

/***/ })

});
//# sourceMappingURL=50.js.map