webpackJsonp([20],{

/***/ 468:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PackagePageModule", function() { return PackagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__package__ = __webpack_require__(563);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var PackagePageModule = (function () {
    function PackagePageModule() {
    }
    return PackagePageModule;
}());
PackagePageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__package__["a" /* PackagePage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__package__["a" /* PackagePage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__package__["a" /* PackagePage */]
        ]
    })
], PackagePageModule);

//# sourceMappingURL=package.module.js.map

/***/ }),

/***/ 563:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PackagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__helper_helper__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var PackagePage = (function () {
    function PackagePage(navCtrl, navParams, loading, api, toastCtrl, translate, helper) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loading = loading;
        this.api = api;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.helper = helper;
        this.packages = {
            internet: [],
            sms: [],
            call: [],
            antivirus: [],
            equipment: [],
            roaming: [],
            mix: [],
            other: []
        };
        this.lang = translate.currentLang;
        var loader = this.loading.create({
            content: this.translate.instant('m14')
        });
        loader.present().then(function () {
            _this.api.preparePackages(_this.navCtrl, _this.toastCtrl).then(function (res) {
                loader.dismiss();
                _this.packages = res;
                console.log(_this.packages);
            });
        });
    }
    PackagePage.prototype.packageLists = function (id) {
        var title = this.api.USSDCategories[id]['title'][this.lang];
        var packages;
        switch (id) {
            case 0:
                packages = this.packages.internet;
                break;
            case 1:
                packages = this.packages.sms;
                break;
            case 2:
                packages = this.packages.call;
                break;
            case 3:
                packages = this.packages.antivirus;
                break;
            case 4:
                packages = this.packages.equipment;
                break;
            case 5:
                packages = this.packages.roaming;
                break;
            case 6:
                packages = this.packages.mix;
                break;
            case 7:
                packages = this.packages.other;
                break;
            default: packages = [];
        }
        this.navCtrl.push('PackageListPage', { title: title, packages: packages });
    };
    PackagePage.prototype.displayNumber = function (number) {
        if (this.lang == 'fa') {
            return this.helper.convertToArabicNumber(number);
        }
        return number;
    };
    return PackagePage;
}());
PackagePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-package',template:/*ion-inline-start:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/package/package.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>{{\'w27\' | translate}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n	<!-- Select Phone Number -->\n	<phone-number></phone-number>\n\n		<ion-grid>\n			  <ion-row>\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(0)" class="menu-item">\n				    	<button ion-button clear>\n				    		<img src="assets/icon/packages/Internet H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.internet.length) }} {{\'w125\' | translate}}</ion-badge>\n				    	</button>\n					  </ion-card>\n			    </ion-col>\n			    \n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(1)"  class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/Sms H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.sms.length) }} {{\'w126\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(4)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/Communications equipment H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.equipment.length) }} {{\'w127\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(3)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/AntiVirus H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.antivirus.length) }} {{\'w128\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(2)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/Call H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.call.length) }} {{\'w129\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(6)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/Package H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.mix.length) }} {{\'w130\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(5)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/Roming H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.roaming.length) }} {{\'w131\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n\n			    <ion-col col-6>\n			    	<ion-card (click)="packageLists(7)" class="menu-item">\n			    		<button ion-button clear>\n			    			<img src="assets/icon/packages/New H.png" width="50"/>\n					    	<ion-badge>{{ displayNumber(packages.other.length) }} {{\'w132\' | translate}}</ion-badge>\n			    		</button>\n					  </ion-card>\n			    </ion-col>\n\n			  </ion-row>\n			</ion-grid>\n\n</ion-content>\n'/*ion-inline-end:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/package/package.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__helper_helper__["a" /* Helper */]])
], PackagePage);

//# sourceMappingURL=package.js.map

/***/ })

});
//# sourceMappingURL=20.js.map