webpackJsonp([48],{

/***/ 442:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BillPageModule", function() { return BillPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bill__ = __webpack_require__(537);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(32);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var BillPageModule = (function () {
    function BillPageModule() {
    }
    return BillPageModule;
}());
BillPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__bill__["a" /* BillPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bill__["a" /* BillPage */]),
            __WEBPACK_IMPORTED_MODULE_3__components_phone_number_phone_number_module__["a" /* PhoneNumberComponentModule */],
            __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["b" /* TranslateModule */]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__bill__["a" /* BillPage */]
        ]
    })
], BillPageModule);

//# sourceMappingURL=bill.module.js.map

/***/ }),

/***/ 537:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BillPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api_api__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__helper_helper__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__ = __webpack_require__(120);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment_jalaali___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment_jalaali__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(32);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_global_global__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var BillPage = (function () {
    function BillPage(navCtrl, modalCtrl, loading, api, toastCtrl, translate, helper, global) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.loading = loading;
        this.api = api;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.helper = helper;
        this.global = global;
        this.invoiceType = 'final';
        this.bill = [];
        this.hotBill = [];
        this.isPaymentVisible = true;
        this.lang = translate.currentLang;
        /*if (this.lang == 'en') {
          moment.loadPersian({usePersianDigits: false});
        } else {
          moment.loadPersian({usePersianDigits: true});
        }*/
        var loader = this.loading.create({
            content: this.translate.instant('m13')
        });
        loader.present().then(function () {
            _this.api.prepareBlling(_this.navCtrl, _this.toastCtrl).then(function (res) {
                loader.dismiss();
                _this.bill = res.bill;
                _this.hotBill = res.hotBill;
                if (!!res.config)
                    _this.isPaymentVisible = !res.config.config.invoice;
                console.log(res);
                console.log(res.config);
            });
        });
        this.global.byPushBill = false;
    }
    BillPage.prototype.openDetails = function (bill) {
        var modal = this.modalCtrl.create('BillModalPage', { bill: bill });
        modal.present();
    };
    BillPage.prototype.displayPrice = function (number) {
        if (number < 0) {
            number = number * -1;
        }
        return this.helper.displayCharge(number);
    };
    BillPage.prototype.arabicNumber = function (number) {
        if (this.lang == 'fa') {
            return this.helper.convertToArabicNumber(number);
        }
        return number;
    };
    BillPage.prototype.generateDate = function (date) {
        if (date == '' || date == null || date == 0) {
            return this.translate.instant('w46');
        }
        if (this.lang == 'en') {
            return __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__(date, 'YYYY-M-D HH:mm:ss').format('YYYY/M/D'); // jYYYY/jM/jD HH:mm:ss
        }
        return __WEBPACK_IMPORTED_MODULE_4_moment_jalaali__(date, 'YYYY-M-D HH:mm:ss').format('jYYYY/jM/jD'); // jYYYY/jM/jD HH:mm:ss
    };
    BillPage.prototype.payBill = function (amount, invoiceId, paymentId) {
        /**
    
        Types => 1 : HOT BILL | 2 : E BILL | 3 : Package | 4 : Recharge
    
        Methods
            => if type == 3 -> 1 : credit  2 : bank
            => if type == 4 -> 1 : Normal  2 : Exciting
    
        **/
        console.log(amount, invoiceId, paymentId);
        this.navCtrl.push('CheckoutPage', { amount: amount, type: 2, invoiceId: invoiceId, paymentId: paymentId });
    };
    BillPage.prototype.payHotBill = function (amount, invoiceId, paymentId) {
        console.log(amount, invoiceId, paymentId);
        this.navCtrl.push('CheckoutPage', { amount: amount, type: 1, invoiceId: invoiceId, paymentId: paymentId });
    };
    BillPage.prototype.changeTabs = function (id) {
        var _this = this;
        var loader = this.loading.create({
            content: this.translate.instant('w47')
        });
        loader.present().then(function () {
            _this.invoiceType = id;
            loader.dismiss();
        }, function (error) {
            loader.dismiss();
        });
    };
    return BillPage;
}());
BillPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-bill',template:/*ion-inline-start:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/bill/bill.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>{{ \'w48\' | translate }}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n	<!-- Select Phone Number -->\n	<phone-number justPostPaied="true"></phone-number>\n\n	<!-- Segments -->\n	<div>\n	  <ion-segment [(ngModel)]="invoiceType">\n	    <ion-segment-button value="final" (click)="changeTabs(\'final\')">\n	      {{ \'w49\' | translate }}\n	    </ion-segment-button>\n	    <ion-segment-button value="midterm" (click)="changeTabs(\'midterm\')">\n	      {{ \'w50\' | translate }}\n	    </ion-segment-button>\n	  </ion-segment>\n	</div>\n\n	<div [ngSwitch]="invoiceType">\n	\n	  <ion-list *ngSwitchCase="\'final\'">\n\n			<ion-card *ngIf="bill.length != 0">\n			  <ion-card-content>			    \n			    <ion-list>\n			    	<ion-item class="list_items">\n							{{ \'w51\' | translate }}: <span item-right >{{ arabicNumber(bill.InvoiceID[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w52\' | translate }}: <span item-right>{{ arabicNumber(bill.PaymentID[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w53\' | translate }}: <span item-right>{{ generateDate(bill.BillingCycleStartDate[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w54\' | translate }}: <span item-right>{{ generateDate(bill.BillingCycleEndDate[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w55\' | translate }}: <span item-right>{{ generateDate(bill.DateIssuance[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w56\' | translate }}: <span item-right>{{ displayPrice(bill.Outstanding[0]) }} {{ \'w45\' | translate }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items" color="light">\n							{{ \'w57\' | translate }}: <span item-right> {{ displayPrice(bill.PayableAmount[0]) }} {{ \'w45\' | translate }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							<button ion-button outline color="dark" block (click)="openDetails(bill)">{{ \'w58\' | translate }}</button>\n			    	</ion-item>\n			    	<ion-item>\n			    		<button ion-button large color="secondary" (click)="payBill(bill.PayableAmount[0], bill.InvoiceID[0], bill.PaymentID[0])" block [disabled]="bill.length != 0 && bill.PayableAmount[0] == 0 && !isPaymentVisible">{{ \'w59\' | translate }}</button>\n			    	</ion-item>\n					</ion-list>\n			  </ion-card-content>\n			</ion-card>\n\n			<ion-list *ngIf="bill.length == 0 && isPaymentVisible" class="nodata">\n				<ion-item>\n					<p>{{ \'w44\' | translate }}</p>\n				</ion-item>\n			</ion-list>\n\n			<ion-list *ngIf="!isPaymentVisible" class="nodata">\n				<p padding style="white-space: pre-wrap !important;">سامانه پرداخت صورت حساب در حال بروز رسانی میباشد خواهشمند است تا ساعاتی بعد مجدد تلاش فرمایید.</p>\n			</ion-list>\n	  \n	  </ion-list>\n\n	  <ion-list *ngSwitchCase="\'midterm\'">\n\n			<ion-card *ngIf="hotBill.length != 0">\n			  <ion-card-content>			    \n			    <ion-list>\n			    	<ion-item class="list_items">\n							{{ \'w51\' | translate }}: <span item-right>{{ arabicNumber(hotBill.InvoiceId[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w52\' | translate }}: <span item-right>{{ arabicNumber(hotBill.PaymentId[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w53\' | translate }}: <span item-right>{{ generateDate(hotBill.BillingCycleStartDate[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							{{ \'w54\' | translate }}: <span item-right>{{ generateDate(hotBill.EndDate[0]) }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items" color="light">\n							{{ \'w57\' | translate }}: <span item-right> {{ displayPrice(hotBill.PayableAmount[0]) }} {{ \'w45\' | translate }}</span>\n			    	</ion-item>\n			    	<ion-item class="list_items">\n							<button ion-button outline color="dark" block (click)="openDetails(hotBill)">{{ \'w58\' | translate }}</button>\n			    	</ion-item>\n			    	<ion-item>\n			    		<button ion-button large color="secondary" [disabled]="!isPaymentVisible" (click)="payHotBill(hotBill.PayableAmount[0], hotBill.InvoiceId[0], hotBill.PaymentId[0])" block>{{ \'w59\' | translate }}</button>\n			    	</ion-item>\n					</ion-list>\n			  </ion-card-content>\n			</ion-card>\n\n			<ion-list *ngIf="hotBill.length == 0" class="nodata">\n				<ion-item>\n					<p>{{ \'w44\' | translate }}</p>\n				</ion-item>\n			</ion-list>\n			\n	  </ion-list>\n	</div>\n\n\n</ion-content>\n'/*ion-inline-end:"/Users/MOF/MyRightelSource/MyRightel-App2/MyRightel-App/src/pages/bill/bill.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_2__providers_api_api__["a" /* ApiProvider */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__helper_helper__["a" /* Helper */],
        __WEBPACK_IMPORTED_MODULE_6__providers_global_global__["a" /* GlobalProvider */]])
], BillPage);

//# sourceMappingURL=bill.js.map

/***/ })

});
//# sourceMappingURL=48.js.map